ros-humble-rosbridge-library (2.0.1-1jammy) jammy; urgency=high

  * Default subscriber QOS to BestEffort, account for TRANSIENT_LOCAL (#1033 <https://github.com/RobotWebTools/rosbridge_suite/issues/1033>)
  * Fix randomly failing subscribe unsubscribe test (#1015 <https://github.com/RobotWebTools/rosbridge_suite/issues/1015>)
  * Fix action cancelling/aborting (#1014 <https://github.com/RobotWebTools/rosbridge_suite/issues/1014>)
  * Add timeout option to call_service messages (#994 <https://github.com/RobotWebTools/rosbridge_suite/issues/994>)
  * Fix infinite loop in QueueMessageHandler (#987 <https://github.com/RobotWebTools/rosbridge_suite/issues/987>)
  * Use monotonic clock for time measuring (#986 <https://github.com/RobotWebTools/rosbridge_suite/issues/986>)
  * Contributors: ewak, William Wedler, Mike Wake, Talha Işık, Daisuke Sato, Błażej Sowa

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 19 May 2025 00:00:00 -0000

ros-humble-rosbridge-library (2.0.0-1jammy) jammy; urgency=high

  * Fix action cancellation by passing status from JSON (#953 <https://github.com/RobotWebTools/rosbridge_suite/issues/953>)
  * Update pre-commit and fix issues (#954 <https://github.com/RobotWebTools/rosbridge_suite/issues/954>)
  * Fix length-limited list types (#840 <https://github.com/RobotWebTools/rosbridge_suite/issues/840>)
  * fix: update new subs with dds from publisher (#940 <https://github.com/RobotWebTools/rosbridge_suite/issues/940>)
  * Avoid stale subscription when unsubscribing during resubscription (#948 <https://github.com/RobotWebTools/rosbridge_suite/issues/948>)
  * Changed type hints in ros_loader.py to use imports from Typing (#938 <https://github.com/RobotWebTools/rosbridge_suite/issues/938>)
  * Avoid stack traces when aborting an advertised action goal (#906 <https://github.com/RobotWebTools/rosbridge_suite/issues/906>)
  * Timeout if service server not available within server_timeout_time (#905 <https://github.com/RobotWebTools/rosbridge_suite/issues/905>)
  * Use ROS 2 Node Clock in Message Conversion (#900 <https://github.com/RobotWebTools/rosbridge_suite/issues/900>)
  * Fix issues when canceling and unadvertising actions (#896 <https://github.com/RobotWebTools/rosbridge_suite/issues/896>)
  * Support actions in rosbridge protocol (#886 <https://github.com/RobotWebTools/rosbridge_suite/issues/886>)
  * Port unit tests to ROS 2 + Fix CBOR conversion and PNG compression (#882 <https://github.com/RobotWebTools/rosbridge_suite/issues/882>)
  * Contributors: Brad Martin, Dimitri Nikitopoulos, EricGallimore, Ezra Brooks, Paul Gesel, Sebastian Castro, michael-cmt

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 08 Oct 2024 00:00:00 -0000

ros-humble-rosbridge-library (1.3.2-1jammy) jammy; urgency=high

  * Interpret call_services_in_new_thread as boolean (#857 <https://github.com/RobotWebTools/rosbridge_suite/issues/857>)
  * Add option to call services in a separate thread (#847 <https://github.com/RobotWebTools/rosbridge_suite/issues/847>)
  * fix memory leak on service call (#774 <https://github.com/RobotWebTools/rosbridge_suite/issues/774>)
  * Contributors: Sebastian Castro, hiroyuki obinata, rwhitney456

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 27 Sep 2023 00:00:00 -0000

ros-humble-rosbridge-library (1.3.1-1jammy) jammy; urgency=high

  * Optimized large binary array publishing (#819 <https://github.com/RobotWebTools/rosbridge_suite/issues/819>)
  * Skip unnecessary conversion for cbor/cbor-raw compression (#792 <https://github.com/RobotWebTools/rosbridge_suite/issues/792>) (#800 <https://github.com/RobotWebTools/rosbridge_suite/issues/800>)
  * Improve robustness for multiple client connections (#803 <https://github.com/RobotWebTools/rosbridge_suite/issues/803>)
  * Minor performance improvements (#809 <https://github.com/RobotWebTools/rosbridge_suite/issues/809>)
  * Remove unnecessary checking of topic globs. (#793 <https://github.com/RobotWebTools/rosbridge_suite/issues/793>) (#799 <https://github.com/RobotWebTools/rosbridge_suite/issues/799>)
  * Fix duplicate subscription created with wrong 'raw' attribute. (#798 <https://github.com/RobotWebTools/rosbridge_suite/issues/798>)
  * Contributors: Hans-Joachim Krauch, Steffen Nattke, Ted Sender

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 21 Oct 2022 00:00:00 -0000

ros-humble-rosbridge-library (1.3.0-1jammy) jammy; urgency=high

  * Allow integers in conversion to float array messages (#777 <https://github.com/RobotWebTools/rosbridge_suite/issues/777>)
  * Non standard msg modules (#735 <https://github.com/RobotWebTools/rosbridge_suite/issues/735>)
  * Contributors: Jacob Bandes-Storch, Will

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 16 Aug 2022 00:00:00 -0000

ros-humble-rosbridge-library (1.2.0-1jammy) jammy; urgency=high

  * Fixed float arrays conversion (#730 <https://github.com/RobotWebTools/rosbridge_suite/issues/730>)
  * Fixed multiple subscriber on transient_local topic (#723 <https://github.com/RobotWebTools/rosbridge_suite/issues/723>)
  * Fix translation of time and time arrays (#691 <https://github.com/RobotWebTools/rosbridge_suite/issues/691>)
  * Fix array behavior (#692 <https://github.com/RobotWebTools/rosbridge_suite/issues/692>)
  * Contributors: Jacob Bandes-Storch, José Castelo, Kenji Miyake, Will, p0rys

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 20 May 2022 00:00:00 -0000

ros-humble-rosbridge-library (1.1.2-1jammy) jammy; urgency=high

  * [694] update DurabilityPolicy api that are being deprecated (#695 <https://github.com/RobotWebTools/rosbridge_suite/issues/695>)
  * Fix byte behavior (#693 <https://github.com/RobotWebTools/rosbridge_suite/issues/693>)
  * Fix test_message_conversion.py (#645 <https://github.com/RobotWebTools/rosbridge_suite/issues/645>)
  * Fix test_ros_loader.py (#644 <https://github.com/RobotWebTools/rosbridge_suite/issues/644>)
  * Fix CI test configuration and temporarily disable rosbridge_library test (#686 <https://github.com/RobotWebTools/rosbridge_suite/issues/686>)
  * Contributors: Evan Flynn, Jacob Bandes-Storch, Kenji Miyake

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 03 Jan 2022 00:00:00 -0000

ros-humble-rosbridge-library (1.1.1-1jammy) jammy; urgency=high

  * Allow subscribing to any qos profile when creating a subscriber (#690 <https://github.com/RobotWebTools/rosbridge_suite/issues/690>)
  * Fix and add test for multiple subscribers to same topic (#687 <https://github.com/RobotWebTools/rosbridge_suite/issues/687>)
  * Fix error when advertising duplicate service (#683 <https://github.com/RobotWebTools/rosbridge_suite/issues/683>)
  * Fix incoming service calls (#669 <https://github.com/RobotWebTools/rosbridge_suite/issues/669>)
  * Replace busy wait in AdvertiseService with async handler (#666 <https://github.com/RobotWebTools/rosbridge_suite/issues/666>)
  * Contributors: Domenic Rodriguez, Jacob Bandes-Storch, Roman Shtylman

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 09 Dec 2021 00:00:00 -0000

ros-humble-rosbridge-library (1.1.0-1jammy) jammy; urgency=high

  * Fix test imports from rosbridge_test_msgs (#668 <https://github.com/RobotWebTools/rosbridge_suite/issues/668>)
  * Move msg/srv from rosapi and rosbridge_library into separate packages; enable Rolling in CI (#665 <https://github.com/RobotWebTools/rosbridge_suite/issues/665>)
  * Fix test_services.py (#653 <https://github.com/RobotWebTools/rosbridge_suite/issues/653>)
  * Fix unused variables: flake8 --select=F841 (#623 <https://github.com/RobotWebTools/rosbridge_suite/issues/623>)
  * Remove get_service_instance from ros_loader (#647 <https://github.com/RobotWebTools/rosbridge_suite/issues/647>)
  * Fix test settings for rosbridge_library (#643 <https://github.com/RobotWebTools/rosbridge_suite/issues/643>)
  * Fix DOS line endings (#658 <https://github.com/RobotWebTools/rosbridge_suite/issues/658>)
  * Port #464 <https://github.com/RobotWebTools/rosbridge_suite/issues/464>, #478 <https://github.com/RobotWebTools/rosbridge_suite/issues/478>, #496 <https://github.com/RobotWebTools/rosbridge_suite/issues/496>, and #502 <https://github.com/RobotWebTools/rosbridge_suite/issues/502> from ROS1 branch (#663 <https://github.com/RobotWebTools/rosbridge_suite/issues/663>)
  * Add pre-commit, format with black and isort (#648 <https://github.com/RobotWebTools/rosbridge_suite/issues/648>)
  * Contributors: Adrian Macneil, Christian Clauss, Domenic Rodriguez, Jacob Bandes-Storch, Kenji Miyake

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 22 Oct 2021 00:00:00 -0000

ros-humble-rosbridge-library (1.0.8-1jammy) jammy; urgency=high

  * Fix various Python code style and lint issues
  * Contributors: Christian Clauss, Jacob Bandes-Storch

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 26 Aug 2021 00:00:00 -0000

ros-humble-rosbridge-library (1.0.7-1jammy) jammy; urgency=high

  * Fix typos discovered by codespell (#600 <https://github.com/RobotWebTools/rosbridge_suite/issues/600>)
  * Contributors: Christian Clauss

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 18 Aug 2021 00:00:00 -0000

ros-humble-rosbridge-library (1.0.6-1jammy) jammy; urgency=high

  * Fix broken links in changelogs
  * Contributors: Jacob Bandes-Storch

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 17 Aug 2021 00:00:00 -0000

ros-humble-rosbridge-library (1.0.5-1jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 12 Aug 2021 00:00:00 -0000

ros-humble-rosbridge-library (1.0.4-1jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 11 Aug 2021 00:00:00 -0000

ros-humble-rosbridge-library (1.0.3-1jammy) jammy; urgency=high

  * Add cbor-raw compression support (#574 <https://github.com/RobotWebTools/rosbridge_suite/issues/574>, adapted from ROS 1 implementation #452 <https://github.com/RobotWebTools/rosbridge_suite/issues/452>)
  * Adaptations to Eloquent [Again] (#533 <https://github.com/RobotWebTools/rosbridge_suite/issues/533>)
    * increase spin period to 1000Hz to allow 1000 messages per second into the websocket
    * allow interpreting int as float when needed
    * better handling array.array and numpy arrays
    * allow bytes and str websocket messages
    * add boolean type
    * handle type extraction of static array rostypes
    * missing cls variable
    Co-authored-by: Maximilian Matthe <mailto:maxi.matthe@googlemail.com>
    Co-authored-by: CoRoLa generic <mailto:corola@bi>
    Co-authored-by: joshwapohlmann <mailto:joshwa.pohlmann@barkhauseninstitut.org>
  * Fix for type error caused by appending byte arrays to empty string buffer (#507 <https://github.com/RobotWebTools/rosbridge_suite/issues/507>)
  * Contributors: Connor Brooks, Jacob Bandes-Storch, travipross

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 03 Aug 2021 00:00:00 -0000

ros-humble-rosbridge-library (1.0.2-1jammy) jammy; urgency=high

  * use Python 3 dependency keys (#436 <https://github.com/RobotWebTools/rosbridge_suite/issues/436>)

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 24 Sep 2019 00:00:00 -0000

ros-humble-rosbridge-library (1.0.1-1jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 20 Sep 2019 00:00:00 -0000

ros-humble-rosbridge-library (1.0.0-1jammy) jammy; urgency=high

  * Port to ROS 2

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 19 Sep 2019 00:00:00 -0000

ros-humble-rosbridge-library (0.11.3-1jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 07 Aug 2019 00:00:00 -0000

ros-humble-rosbridge-library (0.11.2-1jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 08 Jul 2019 00:00:00 -0000

ros-humble-rosbridge-library (0.11.1-1jammy) jammy; urgency=high

  * fixed logwarn msg formatting in publishers (#398 <https://github.com/RobotWebTools/rosbridge_suite/issues/398>)
  * Contributors: Gautham P Das

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 08 May 2019 00:00:00 -0000

ros-humble-rosbridge-library (0.11.0-1jammy) jammy; urgency=high

  * BSON can send Nan and Inf (#391 <https://github.com/RobotWebTools/rosbridge_suite/issues/391>)
  * Contributors: akira_you

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 29 Mar 2019 00:00:00 -0000

ros-humble-rosbridge-library (0.10.2-1jammy) jammy; urgency=high

  * Fix typo (#379 <https://github.com/RobotWebTools/rosbridge_suite/issues/379>)
  * Contributors: David Weis

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 04 Mar 2019 00:00:00 -0000

ros-humble-rosbridge-library (0.10.1-1jammy) jammy; urgency=high

  * Inline cbor library (#377 <https://github.com/RobotWebTools/rosbridge_suite/issues/377>)
    Prefer system version with C speedups, but include pure Python implementation.
  * Contributors: Matt Vollrath

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Sun, 16 Dec 2018 00:00:00 -0000

ros-humble-rosbridge-library (0.10.0-1jammy) jammy; urgency=high

  * CBOR encoding (#364 <https://github.com/RobotWebTools/rosbridge_suite/issues/364>)
    * Add CBOR encoding
    * Fix value extraction performance regression
    Extract message values once per message.
    * Fix typed array tags
    Was using big-endian tags and encoding little-endian.
    Always use little-endian for now since Intel is prevalent for desktop.
    Add some comments to this effect.
    * Update CBOR protocol documentation
    More information about draft typed arrays and when to use CBOR.
    * Fix 64-bit integer CBOR packing
    Use an actual 64-bit format.
  * use package format 2, remove unnecessary dependencies (#348 <https://github.com/RobotWebTools/rosbridge_suite/issues/348>)
  * removing has_key for python3, keeping backwards compatibility (#337 <https://github.com/RobotWebTools/rosbridge_suite/issues/337>)
    * removing has_key for python3, keeping backwards compatibility
    * py3 change for itervalues, keeping py2 compatibility
  * Contributors: Andreas Klintberg, Dirk Thomas, Matt Vollrath

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 14 Dec 2018 00:00:00 -0000

ros-humble-rosbridge-library (0.9.0-1jammy) jammy; urgency=high

  * Fix typo in function call
  * Add missing argument to InvalidMessageException (#323 <https://github.com/RobotWebTools/rosbridge_suite/issues/323>)
    Add missing argument to InvalidMessageException constructor
  * Make unregister_timeout configurable (#322 <https://github.com/RobotWebTools/rosbridge_suite/issues/322>)
    Pull request #247 <https://github.com/RobotWebTools/rosbridge_suite/issues/247> introduces a 10 second delay to mitigate issue #138 <https://github.com/RobotWebTools/rosbridge_suite/issues/138>.
    This change makes this delay configurable by passing an argument either
    on the command line or when including a launch file.
    Usage example:
    ```xml
    <launch>
    <include file="$(find rosbridge_server)/launch/rosbridge_websocket.launch">
    <arg name="unregister_timeout" value="5.0"/>
    </include>
    </launch>
    ```
    Closes #320 <https://github.com/RobotWebTools/rosbridge_suite/issues/320>
  * message_conversion: create stand-alone object inst (#319 <https://github.com/RobotWebTools/rosbridge_suite/issues/319>)
    Catching the ROSInitException allows to create object
    instances without an initialized ROS state
  * Fixes #313 <https://github.com/RobotWebTools/rosbridge_suite/issues/313> by fixing has_binary in protocol.py (#315 <https://github.com/RobotWebTools/rosbridge_suite/issues/315>)
    * Fixes #313 <https://github.com/RobotWebTools/rosbridge_suite/issues/313> by fixing has_binary in protocol.py
    Checks for lists that have binary content as well as dicts
    * Minor refactoring for protocol.py
  * fix fragment bug (#316 <https://github.com/RobotWebTools/rosbridge_suite/issues/316>)
    * fix bug that lost data while sending large packets
    * fixed travis ci failed by @T045T
    * fixed travis ci failed by @T045T
    * travis ci failed
    * fix rosbridge_library/test/experimental/fragmentation+srv+tcp test bug
    * sync .travis.yaml
    * fix the service_response message bug
    * fix the fragment paring error
    * fix indentation of "service" line
  * add graceful_shutdown() method to advertise_service capability
    This gives the service a bit of time to cancel any in-flight service requests (which should fix #265 <https://github.com/RobotWebTools/rosbridge_suite/issues/265>).
    This is important because we busy-wait for a rosbridge response for service calls and those threads do not get stopped otherwise.
    Also, rospy service clients do not currently support timeouts, so any clients would be stuck too.
    A new test case in test_service_capabilities.py verifies the fix works
  * Add rostest for service capabilities and fix bugs
    also fixed some typos
  * Fix Travis config (#311 <https://github.com/RobotWebTools/rosbridge_suite/issues/311>)
    * fix Travis config
    dist: kinetic is currently unsupported
    * fix rostests
    for some reason, rostest seems to hide the rosout node - changed tests to use other services
  * Contributors: Anwar, Johannes Rothe, Jørgen Borgesen, Nils Berg, Phil, WH-0501, elgarlepp

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 09 Apr 2018 00:00:00 -0000

ros-humble-rosbridge-library (0.8.6-1jammy) jammy; urgency=high

  * Import StringIO from StringIO if python2 and from io if python3 fixes #306 <https://github.com/RobotWebTools/rosbridge_suite/issues/306> (#307 <https://github.com/RobotWebTools/rosbridge_suite/issues/307>)
  * Contributors: Jihoon Lee

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 08 Dec 2017 00:00:00 -0000

ros-humble-rosbridge-library (0.8.5-1jammy) jammy; urgency=high

  * Raise if inappropriate bson module is installed (Appease #198 <https://github.com/RobotWebTools/rosbridge_suite/issues/198>) (#270 <https://github.com/RobotWebTools/rosbridge_suite/issues/270>)
    * Raise Exception if inappropriate bson module is installed (Related to #198 <https://github.com/RobotWebTools/rosbridge_suite/issues/198>)
  * Add Python3 compatibility (#300 <https://github.com/RobotWebTools/rosbridge_suite/issues/300>)
    * First pass at Python 3 compatibility
    * message_conversion: Only call encode on a Python2 str or bytes type
    * protocol.py: Changes for dict in Python3. Compatible with Python 2 too.
    * More Python 3 fixes, all tests pass
    * Move definition of string_types to rosbridge_library.util
  * Contributors: Junya Hayashi, Kartik Mohta

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 23 Nov 2017 00:00:00 -0000

ros-humble-rosbridge-library (0.8.4-1jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 16 Oct 2017 00:00:00 -0000

ros-humble-rosbridge-library (0.8.3-1jammy) jammy; urgency=high

  * Type conversion convention correction, correcting issue #240 <https://github.com/RobotWebTools/rosbridge_suite/issues/240>
  * Contributors: Alexis Paques

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 11 Sep 2017 00:00:00 -0000

ros-humble-rosbridge-library (0.8.2-1jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 11 Sep 2017 00:00:00 -0000

ros-humble-rosbridge-library (0.8.1-1jammy) jammy; urgency=high

  * remove ujson from dependency to build in trusty (#290 <https://github.com/RobotWebTools/rosbridge_suite/issues/290>)
  * Contributors: Jihoon Lee

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 30 Aug 2017 00:00:00 -0000

ros-humble-rosbridge-library (0.8.0-1jammy) jammy; urgency=high

  * Cleaning up travis configuration (#283 <https://github.com/RobotWebTools/rosbridge_suite/issues/283>)
    configure travis to use industial ci configuration. Now it uses xenial and kinetic
  * Merge pull request #272 <https://github.com/RobotWebTools/rosbridge_suite/issues/272> from ablakey/patch-1
    Prevent a KeyError when bson_only_mode is unset.
  * Update protocol.py
    Prevent a KeyError when bson_only_mode is unset.
  * Merge pull request #257 <https://github.com/RobotWebTools/rosbridge_suite/issues/257> from Sanic/bson-only-mode
    Implemented a bson_only_mode flag for the TCP version of rosbridge
  * Merge pull request #247 <https://github.com/RobotWebTools/rosbridge_suite/issues/247> from v-lopez/develop
    Delay unregister to mitigate #138 <https://github.com/RobotWebTools/rosbridge_suite/issues/138>
  * Change class constant to module constant
  * Reduce timeout for tests
    Tests will sleep for 10% extra of the timeout to prevent some situations
    were the test sleep ended right before the unregister timer fired
  * Fix test advertise errors after delayed unregister changes
  * Fix missing tests due to delayed unregistration
  * Move UNREGISTER_TIMEOUT to member class so it's accessible from outside
  * minor change in variable usage
  * Implemented a bson_only_mode flag for the TCP version of rosbridge; This allows you to switch to a full-duplex transmission of BSON messages and therefore eliminates the need for a base64 encoding of binary data; Use the new mode by starting:'roslaunch rosbridge_server rosbridge_tcp.launch bson_only_mode:=True' or passing '--bson_only_mode' to the rosbridge_tcp.py script
  * Delay unregister to mitigate !138
  * Contributors: Andrew Blakey, Jihoon Lee, Nils Berg, Patrick Mania, Victor Lopez

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 30 Aug 2017 00:00:00 -0000

ros-humble-rosbridge-library (0.7.17-1jammy) jammy; urgency=high

  * adjust log level for security globs
    Normal operation (i.e. no globs or successful verification of requests) is now silent, with illegal requests producing a warning.
  * add missing import
  * correct default values for security globs
    also accept empty list as the default "do not check globs" value in addition to None.
    Finally, append rosapi service glob after processing command line input so it's not overwritten
  * Added services_glob to CallServices, added globs to rosbridge_tcp and rosbridge_udp, and other miscellaneous fixes.
  * As per the suggestions of @T045T, fixed several typos, improved logging, and made some style fixes.
  * Added new parameters for topic and service security.
    Added 3 new parameters to rosapi and rosbridge_server which filter the
    topics, services, and parameters broadcast by the server to match an
    array of glob strings.
  * Contributors: Eric, Nils Berg

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 25 Jan 2017 00:00:00 -0000

ros-humble-rosbridge-library (0.7.16-1jammy) jammy; urgency=high

  * Fixed deprecated code in pillow
  * Contributors: vladrotea

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 15 Aug 2016 00:00:00 -0000

ros-humble-rosbridge-library (0.7.15-1jammy) jammy; urgency=high

  * changelog updated
  * Contributors: Russell Toris

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 25 Apr 2016 00:00:00 -0000

ros-humble-rosbridge-library (0.7.14-1jammy) jammy; urgency=high

  * Another fix for code
  * Replaced += with ''.join() for python code
  * Default Protocol delay_between_messages = 0
    This prevents performance problems when multiple clients are subscribing to high frequency topics.
    Fixes #203 <https://github.com/RobotWebTools/rosbridge_suite/issues/203>
  * Contributors: Matt Vollrath, kiloreux

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 11 Feb 2016 00:00:00 -0000

ros-humble-rosbridge-library (0.7.13-1jammy) jammy; urgency=high

  * Nevermind o_O
  * Add test_depend too (just in case)
  * Add dependency on python bson
  * Get parameter at encode time
  * Add flag for using the bson encoding
  * revert comment regarding unpublisher
  * avoiding racing condition
  * Add bson encoding to the server side
  * Fix catkin_lint issues
  * don't unregister topic from rosbridge. It creates md5 sum warning.. #138
  * Contributors: David Lu, Jihoon Lee, Matt Vollrath, dwlee

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 14 Aug 2015 00:00:00 -0000

ros-humble-rosbridge-library (0.7.12-1jammy) jammy; urgency=high

  * use <test_depend> for test dependencies
  * use rospy.resolve_name for namespaced service calls
  * fix resolving namespaced service calls
  * Contributors: Ramon Wijnands

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 07 Apr 2015 00:00:00 -0000

ros-humble-rosbridge-library (0.7.11-1jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 23 Mar 2015 00:00:00 -0000

ros-humble-rosbridge-library (0.7.10-1jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 25 Feb 2015 00:00:00 -0000

ros-humble-rosbridge-library (0.7.9-1jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 24 Feb 2015 00:00:00 -0000

ros-humble-rosbridge-library (0.7.8-1jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 16 Jan 2015 00:00:00 -0000

ros-humble-rosbridge-library (0.7.7-1jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 06 Jan 2015 00:00:00 -0000

ros-humble-rosbridge-library (0.7.6-1jammy) jammy; urgency=high

  * 0.7.5
  * update changelog
  * 0.7.4
  * changelog updated
  * 0.7.3
  * changelog updated
  * 0.7.2
  * changelog updated
  * 0.7.1
  * update changelog
  * 0.7.0
  * changelog updated
  * rewrite of advertise service
  * cleanup init function
  * matches original call_service
  * matches original call_service
  * service_request --> reuse of call_service (previously defined)
  * stop_service --> unadvertise_service
  * service_name --> service
  * service_type --> type
  * removed service_module
  * request_id --> id
  * Contributors: Jihoon Lee, Russell Toris

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 26 Dec 2014 00:00:00 -0000

ros-humble-rosbridge-library (0.7.5-1jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 26 Dec 2014 00:00:00 -0000

ros-humble-rosbridge-library (0.7.4-1jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 16 Dec 2014 00:00:00 -0000

ros-humble-rosbridge-library (0.7.3-1jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 15 Dec 2014 00:00:00 -0000

ros-humble-rosbridge-library (0.7.2-1jammy) jammy; urgency=high

  * 0.7.1
  * update changelog
  * Contributors: Jihoon Lee

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 15 Dec 2014 00:00:00 -0000

ros-humble-rosbridge-library (0.7.1-1jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 09 Dec 2014 00:00:00 -0000

ros-humble-rosbridge-library (0.7.0-1jammy) jammy; urgency=high

  * rewrite of advertise service
  * cleanup init function
  * matches original call_service
  * matches original call_service
  * service_request --> reuse of call_service (previously defined)
  * stop_service --> unadvertise_service
  * service_name --> service
  * service_type --> type
  * removed service_module
  * request_id --> id
  * Contributors: Russell Toris

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 02 Dec 2014 00:00:00 -0000

ros-humble-rosbridge-library (0.6.8-1jammy) jammy; urgency=high

  * add a lock to calls to load_manifest - apparently, it's not thread safe
    fixes #103 and #108
  * Contributors: Nils Berg

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 05 Nov 2014 00:00:00 -0000

ros-humble-rosbridge-library (0.6.7-1jammy) jammy; urgency=high

  * updated package manifests
  * Contributors: Russell Toris

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 22 Oct 2014 00:00:00 -0000

ros-humble-rosbridge-library (0.6.6-1jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 21 Oct 2014 00:00:00 -0000

ros-humble-rosbridge-library (0.6.5-1jammy) jammy; urgency=high

  * 0.6.4
  * update changelog
  * modify tests
    less duplicated code, some other changes to (hopefully) improve reliability. Tested locally about 30 times without encountering any failures.
  * Change the behavior of MessageHandler.transition()
    Now reflects usage in the tests, i.e. a QueueMessageHandler only needs queue_length to be defined, not throttle_rate.
  * 0.6.3
  * update change log
  * install util python module to fix #128
  * Contributors: Jihoon Lee, Nils Berg

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 14 Oct 2014 00:00:00 -0000

ros-humble-rosbridge-library (0.6.4-1jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 08 Oct 2014 00:00:00 -0000

ros-humble-rosbridge-library (0.6.3-1jammy) jammy; urgency=high

  * install util python module to fix #128 <https://github.com/RobotWebTools/rosbridge_suite/issues/128>
  * Contributors: Jihoon Lee

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 07 Oct 2014 00:00:00 -0000

ros-humble-rosbridge-library (0.6.2-1jammy) jammy; urgency=high

  * Remove unused json imports; move json imports to utility
    Fixes #7
  * Contributors: Graeme Yeates

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 06 Oct 2014 00:00:00 -0000

ros-humble-rosbridge-library (0.6.1-1jammy) jammy; urgency=high

  * Handle float infinity and NAN s
  * Windows-related fix for PIL Image module import
  * Fixed typo in raising type errors.
  * something messed up indentation
    not sure how that could happen, worked here.
  * map Inf and NaN to null
    JSON does not support Inf and NaN values. Currently they are just written into the JSON and JSON.parse on the client side will fail. Correct is to map them to null which will then be parsed correctly by JSON.parse on the client side.
    The issue with that is that the shortcut for lists of floats might be impossible (maybe someone else with more experience in python comes up with something else?). Maybe something similar is necessary in the to_inst case, but I can not really test them.
    Real world application is to process laser scans, they contain inf and nan values for some drivers if the measurements are invalid or out of range.
  * Update .travis.yml and package.xml for rosbridge_library tests
  * Put back unregister for the publisher and clarify the reconnect behavior
    of the test case. The exponential backoff of the client causes hard to
    understand timing of the events.
    All specs passed locally on hydro:
    SUMMARY
    * RESULT: SUCCESS
    * TESTS: 103
    * ERRORS: 0
    * FAILURES: 0
  * Add copyright notice to the file
  * Remove extra whitespace
  * Make the test more deterministic
  * Remove circular dependency.
  * Contributors: Achim Konigs, Alex Sorokin, Alexander Sorokin, Jonathan Wade, jon-weisz

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 01 Sep 2014 00:00:00 -0000

ros-humble-rosbridge-library (0.6.0-1jammy) jammy; urgency=high

  * Ensure that service name is a string
    Closes #104 <https://github.com/RobotWebTools/rosbridge_suite/issues/104>
  * Contributors: Piyush Khandelwal

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 23 May 2014 00:00:00 -0000

ros-humble-rosbridge-library (0.5.4-1jammy) jammy; urgency=high

  * removing wrong import
  * test case for fixed size of uint8 array
  * uses regular expression to match uint8 array and char array.
  * logerr when it fails while message_conversion
  * Contributors: Jihoon Lee

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 17 Apr 2014 00:00:00 -0000

ros-humble-rosbridge-library (0.5.3-1jammy) jammy; urgency=high

  * use queue_size for publishers
  * Contributors: Jon Binney

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 28 Mar 2014 00:00:00 -0000

ros-humble-rosbridge-library (0.5.2-1jammy) jammy; urgency=high

  * First attempt adding latching support for topic publishers
  * merging changes of groovy-devel into hydro-devel
  * adding missing dependency in rosbridge_library #70 <https://github.com/RobotWebTools/rosbridge_suite/issues/70>
  * Fixed wrong unicode encoding
  * support publishing non-ascii letters
  * Added error message on result=False
    When call_service returns False as result, values contains the error message.
  * added parameter lookup to rosbridge_tcp.py, modules where those are used, and default parameters to launch file; internal default-values still get used when launch-file does not provide them; internal defaults can be changed within rosbridge_tcp.py
  * Merge branch 'experimental_branch' into new_features
  * fix handling of partial/multiple/broken json by avoiding to pass nested json (without op-field) to rosbridge.. probably still needs more complex handling of incoming 'broken' json
  * nested service not MiRoR related anymore
  * added singleton for request-list; allows provider to send service response without specifying module and type, they get looked up when response is received via request_id
  * fix for nested service responses - use ros_loader and message_conversion for populating an according instance
  * use message_conversion in handle_servie_request
  * snapshot for branch to show to genpy devs
  * using float64 instead of std_msgs/Float64 lets scripts run fine.. ; next: fix with using std_msgs/Float64 --> need nested data field
  * nested srv uses now message_conversion.extract_values
  * adapted test scripted to ros_loader; (removed .srv from module_name
  * use rosloader for finding service_class
  * fixed calculation of fragment_count
  * cleanup: files, notes, some code
  * added message_field <message_intervall> to allow client to control delay between messages from rosbridge
  * added TODO: check if service successfully registered in ros
  * 
  * 
  * added description of new opcodes
  * tests, comments, description, ..
  * tested rosbridge_websocket with new capabilities; websocket test scripts not working yet..; but new caps are working when using rosbridge_websocket and tcp2ws wrapper --> so only testscripts need to be fixed for websockets.
  * updated websocket test service server and client script to use websocket
  * updated websocket test service server script to use websocket
  * added files to test new caps with websocket server
  * feierabend.. morgen weiter mit server & client JSON-decoder, see notes
  * fixed parsing of incomplete/multiple JSON in incoming buffer; so clients do not need to use an interval when sending to rosbridge
  * only current changes; not yet done..
  * code cleanup, not yet finished..; rosbridge logging much cleaner now
  * fixed test_server_defragment - recodegit status
  * minor
  * linuxonandroid
  * fixed some parts; ..still better do some redesign for queueing of messages..
  * forced tcp_send to use queue and use delay between sends
  * blocking behavior for service requests to non-ros; test-scripts use get-ip4 helper function; ..needs a lot cleanup before next steps..
  * need to implement server side blocking of multiple requests, to keep implementation of service provider as easy and simple as possible
  * not finished
  * some changes.. still needs several fixes
  * unique request_ids
  * fixed deserialization of multiple fragments in incoming-data; was caused by too short delay between socket-sends (<0.2 seconds); maybe only temp. fixed
  * added fragment sorting to test-client and test-server
  * message_size debugging; TODO: sort list of received fragments! ; make sure receive_buffers are big enough for fragment_size + header..
  * minor changes
  * testing: service server fragmentsizes receive: 1  send: 1; client fragmentsize receive: 1; is working..
  * fixed an error that caused service_response to appear quoted as string once too often; should be ok now
  * fragmentation basically working; service_server can request fragmented service_calls, service_client can request fragmented responses; fragmentation can be requested by adding fragmentation_size parameter to any message sent to rosbridge
  * some code cleanup
  * set service_request_timeout back to 60 seconds; had 2s from timeout_tests..
  * fixed example: non-ros_service_server.py to use only 1 socket; commented and structured code and comments in test-scripts
  * some minor changes: comments, debug-output, ..
  * added test script for non-ros_service_client calling service from non-ros_service_server
  * added msg and srv files
  * fixed (removed) dependency to beginner_tutorials for service_server test-scripts. beginner_tutorials package not needed anymore.
  * behaviour on advertising existing service: replace service-provider, similar to ROS-groovy behaviour, see issues..
  * behaviour on advertising existing service: replace service-provider, similar to ROS-groovy behaviour, see issues..
  * removed obsolete test-scripts
  * stop service added
  * first working classes: service_server
  * should use its own branch: service_server.py;  add initial thoughts and code-base for developing ServiceServer capability
  * fixed errors in protocol.py and defragmentation.py
  * added test-scripts for defragmentation AND tcp-server
  * change json imports to try to use ujson or simplejson
  * change json imports to try to use ujson or simplejson; correct log_message to show length of content/data instead of overall length
  * fixed variable name in finish()
  * Clean up of defragmentation.py.
  * add defragmentation capability
  * merge with fuerte-devel
  * add defragmentation capability
  * commented out that problematic unregister line
  * Contributors: Brandon Alexander, Jihoon Lee, Julian Cerruti, Kaijen Hsiao, Stefan Profanter, dave, furushchev, fxm-db, ipa-fxm, root, unknown

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 14 Mar 2014 00:00:00 -0000

ros-humble-rosbridge-library (0.5.1-1jammy) jammy; urgency=high

  * Implement multiple subscriptions to latched topics (fixes #1 <https://github.com/RobotWebTools/rosbridge_suite/issues/1>).
  * generate more natural json for service call result
  * add result field to service response
  * Contributors: Siegfried-A. Gevatter Pujals, Takashi Ogura

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 31 Oct 2013 00:00:00 -0000

ros-humble-rosbridge-library (0.5.0-1jammy) jammy; urgency=high

  * 0.5.0 preparation for hydro release
  * even more missing depends for unit tests
  * more missing test packages
  * missing depends added when running tests
  * rostest now uses devel instead of install
  * rostest added to package
  * Contributors: Jihoon Lee, Russell Toris

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 17 Jul 2013 00:00:00 -0000

ros-humble-rosbridge-library (0.4.4-1jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 08 Apr 2013 00:00:00 -0000

ros-humble-rosbridge-library (0.4.3-1jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 03 Apr 2013 08:24:00 -0000

ros-humble-rosbridge-library (0.4.2-1jammy) jammy; urgency=high

  * eclipse projects removed
  * Contributors: Russell Toris

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 03 Apr 2013 08:12:00 -0000

ros-humble-rosbridge-library (0.4.1-1jammy) jammy; urgency=high

  * adding message generation build dependency
  * Contributors: Jihoon Lee

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 07 Mar 2013 00:00:00 -0000

ros-humble-rosbridge-library (0.4.0-1jammy) jammy; urgency=high

  * removing rostest
  * Commenting out rostest
  * Update rosbridge_library/package.xml
    removed <test_depend>rospy</test_depend>
  * Fixes "'int' is not iterable" bug.
  * Adds test_all.test launch file.
  * Error fix from wrong package name.
  * Moves test package tests into rosbridge_library.
    I learned about NOINSTALL for msg and srv generation in CMakeList.
  * Resolves submodule issues.
  * Uses only 1 .gitignore to avoid confusion.
  * Merge pull request #15 <https://github.com/RobotWebTools/rosbridge_suite/issues/15> from baalexander/remove_unregister
    Removes buggy unregister call.
  * Removes buggy unregister call.
    Fixes Issue #12 <https://github.com/RobotWebTools/rosbridge_suite/issues/12>.
  * Adds BSD license header to code files.
    See Issue #13 <https://github.com/RobotWebTools/rosbridge_suite/issues/13>.
  * Removing ultrajson from rosbridge.
    If JSON parsing becomes a performance bottle neck, we can re-add it.
  * Catkinizing rosbridge_library and server.
  * PNG compression now creates a square RGB image padded with new-line characters
  * Add stack dependencies and rosdeps.
  * Collapse directory structure.
  * Moved the packages inside a folder called rosbridge
  * Initial commit of rosbridge_library
  * Contributors: Austin Hendrix, Brandon Alexander, David Gossow, Jihoon Lee, Jonathan Mace, Russell Toris

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 05 Mar 2013 00:00:00 -0000


